org.vertx.java.core.http.impl

## Class HttpReadStreamBase

- java.lang.Object
- - org.vertx.java.core.http.impl.HttpReadStreamBase

All Implemented Interfaces:
  ReadStream

Direct Known Subclasses:
  HttpClientResponse, HttpServerRequest

    public abstract class HttpReadStreamBase
    extends java.lang.Object
    implements ReadStream

### Constructor Summary

Constructors
Constructor and Description
`HttpReadStreamBase()`

### Method Summary

Methods
`void` `bodyHandler(Handler<Buffer> bodyHandler)` Convenience method for receiving the entire request body in one piece.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.vertx.java.core.streams.ReadStream

`dataHandler, endHandler, exceptionHandler, pause, resume`

### Constructor Detail

#### HttpReadStreamBase

    public HttpReadStreamBase()

### Method Detail

#### bodyHandler

    public void bodyHandler(Handler<Buffer> bodyHandler)

Convenience method for receiving the entire request body in one piece. This saves the user having to manually set a data and end handler and append the chunks of the body until the whole body received. Don't use this if your request body is large - you could potentially run out of RAM.

Parameters:
  `bodyHandler` - This handler will be called after all the body has been received